<?php
defined('_JEXEC') or die;
$images = ModImagesHelper::getImages($params);
$document = JFactory::getDocument();
$document->addStyleSheet(JURI::base() . 'modules/mod_images/styles.css');
?>
<div class="mod-images">
    <?php foreach ($images as $image): ?>
        <div class="mod-image-item">
            <a href="<?php echo str_replace(JPATH_SITE, '', $image); ?>" onclick="openLightbox(this.href); return false;">
                <img src="<?php echo str_replace(JPATH_SITE, '', $image); ?>" alt="">
            </a>
        </div>
    <?php endforeach; ?>
</div>

<div id="lightbox" class="lightbox" onclick="closeLightbox()">
    <img id="lightbox-img" class="lightbox-img" src="" alt="">
</div>


<div style="font-size: 8px; text-align: left;">
    Create by <a href="https://www.fxdesign.com.pl" style="font-size: 10px; color: inherit; text-decoration: underline;">FxDesign</a>
</div>
<script>
function openLightbox(imageSrc) {
    document.getElementById('lightbox-img').src = imageSrc;
    document.getElementById('lightbox').style.display = 'block';
}

function closeLightbox() {
    document.getElementById('lightbox').style.display = 'none';
}
</script>
